## rkt 1.1

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall test, Seasonal and Regional Kendall Tests
Version: 1.1
Date: 2012-11-05
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <a.marchetto@ise.cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test
        (MK) and the Seasonal and the Regional Kendall Tests for trend
        (SKT and RKT) and Theil-Sen's slope estimator.
License: GPL-2
Packaged: 2012-11-28 14:43:38 UTC; aldo
Repository: CRAN
Date/Publication: 2012-11-28 15:35:52

## rkt 1.2

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall test, Seasonal and Regional Kendall Tests
Version: 1.2
Date: 2013-09-14
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <a.marchetto@ise.cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test (MK) and the Seasonal and the Regional Kendall Tests for trend (SKT and RKT) and  Theil-Sen's slope estimator. 
License: GPL-2
Packaged: 2013-09-14 06:46:48 UTC; aldo
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-09-14 09:35:49

## rkt 1.3

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall test, Seasonal and Regional Kendall Tests
Version: 1.3
Date: 2013-01-22
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <a.marchetto@ise.cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test (MK) and the Seasonal and the Regional Kendall Tests for trend (SKT and RKT) and  Theil-Sen's slope estimator. 
License: GPL-2
Packaged: 2014-01-22 15:25:35 UTC; aldo
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-01-22 16:55:57

## rkt 1.4

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall Test, Seasonal and Regional Kendall Tests
Version: 1.4
Date: 2015-03-17
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <a.marchetto@ise.cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test (MK) and the Seasonal and the Regional Kendall Tests for trend (SKT and RKT) and  Theil-Sen's slope estimator. 
License: GPL-2
Packaged: 2015-03-19 08:09:02 UTC; aldo
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-19 09:52:58

## rkt 1.5

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall Test, Seasonal and Regional Kendall Tests
Version: 1.5
Date: 2017-03-07
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <a.marchetto@ise.cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test (MK) and the Seasonal and the Regional Kendall Tests for trend (SKT and RKT) and  Theil-Sen's slope estimator. 
License: GPL-2
NeedsCompilation: no
Packaged: 2017-03-07 15:30:49 UTC; aldo
Repository: CRAN
Date/Publication: 2017-03-07 16:55:11

## rkt 1.5.0+dfsg

=== debian/changelog ===
rkt (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
    - Removed obsolete "ppc64.patch".
  * Promoted "systemd-container" to Depends (Closes: #822258).
  * Do not leave cron job behind after package removal (Closes: #821815).
    Thanks, Andreas Beckmann.
  * Un-commented "Built-Using"; should work with dh-golang (>= 1.16).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 May 2016 18:01:30 +1000

rkt (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
    + Install upstream man pages.
  * rules: fixed stage1-default-version.
  * Include "pkg/*" files to -dev package as required by "acbuild".
  * Depends += "dbus" (Closes: #821303).
  * New "ppc64.patch" to fix FTBFS on ppc64el (Closes: #821128).
    Thanks, Luca Bruno.
  * Temporary commented "Built-Using" field, until "dh-golang" is fixed.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 Apr 2016 18:58:54 +1000

rkt (1.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #782441).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Apr 2016 04:30:38 +1000

=== debian/control ===
Source: rkt
Section: utils
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
          ,Tim Potter <tpot@hp.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-golang, golang-go, bash-completion
    ,golang-context-dev
    ,golang-dbus-dev (>= 3)
    ,golang-github-appc-cni-dev (>= 0.2.0~)
#        ,golang-github-d2g-dhcp4-dev
#        ,golang-github-d2g-dhcp4client-dev
    ,golang-github-appc-docker2aci-dev (>= 0.9.3~)
    ,golang-github-appc-goaci-dev
    ,golang-github-appc-spec-dev (>= 0.7.4~)
    ,golang-github-coreos-go-iptables-dev (>= 0.1.0~)
    ,golang-github-coreos-go-systemd-dev (>= 5)
    ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
    ,golang-github-cpuguy83-go-md2man-dev
    ,golang-github-cznic-ql-dev
#        ,golang-github-cznic-b-dev
#        ,golang-github-cznic-bufs-dev
#        ,golang-github-cznic-fileutil-dev
#        ,golang-github-cznic-mathutil-dev
#        ,golang-github-cznic-sortutil-dev
#        ,golang-github-cznic-strutil-dev
#        ,golang-github-cznic-zappy-dev
    ,golang-github-dustin-go-humanize-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-errwrap-dev
    ,golang-github-hydrogen18-stoppablelistener-dev
    ,golang-github-inconshreveable-mousetrap-dev
    ,golang-github-kballard-go-shellquote-dev
    ,golang-github-pborman-uuid-dev
    ,golang-github-peterbourgon-diskv-dev
    ,golang-github-russross-blackfriday-dev
    ,golang-github-shurcool-sanitized-anchor-name-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-spf13-pflag-dev
    ,golang-github-vishvananda-netlink-dev
    ,golang-go.crypto-dev
    ,golang-go-semver-dev
    ,golang-gocapability-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-sys-dev
    ,golang-golang-x-tools-dev
    ,golang-google-grpc-dev
    ,golang-goprotobuf-dev (>= 0.0~git20160330~)
    ,golang-pty-dev
    ,golang-speter-go-exp-math-dec-inf-dev
    ,golang-uuid-dev
    ,systemd (>= 228)
    ,libacl1-dev
    ,libtspi-dev
# needed by "configure" only:
    ,git
# Tests:
    ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
Standards-Version: 3.9.7
Homepage: https://github.com/coreos/rkt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rkt.git
Vcs-Git: https://anonscm.debian.org/pkg-go/packages/rkt.git

Package: golang-github-coreos-rkt-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}, golang-go
    ,golang-github-appc-spec-dev (>= 0.7.4~)
    ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
    ,golang-github-hashicorp-errwrap-dev
    ,golang-gocapability-dev
    ,golang-golang-x-crypto-dev
# API:
    ,golang-golang-x-net-dev
    ,golang-google-grpc-dev
Description: rkt API source
 rkt (pronounced "rock-it") is an alternative to the Docker runtime, designed
 for server environments with the most rigorous security and production
 requirements.  Rocket is oriented around the App Container specification,
 a new set of simple and open specifications for a portable container format.
 .
 This package provides Golang sources for the rkt API.

Package: rkt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-go
    ,adduser
    ,systemd (>= 228)
    ,systemd-container (>= 228)
    ,dbus
Suggests: docker2aci
Built-Using: ${misc:Built-Using}
Description: CLI for running App Containers
 rkt (pronounced "rock-it") is an alternative to the Docker runtime, designed
 for server environments with the most rigorous security and production
 requirements.  Rocket is oriented around the App Container specification,
 a new set of simple and open specifications for a portable container format.
 .
 This package provides "rkt" utility.

## rkt 1.5.1+dfsg

=== debian/changelog ===
rkt (1.5.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release [May 2016].
  * Removed "golang-go" from Depends (Closes: #824523).
  * Corrected Vcs-Git URL.

  [ Tim Potter <tpot@hpe.com> ]
  * Added alternative dependency "golang-github-coreos-go-semver-dev".
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 20:57:04 +1000

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
     ,golang-github-spf13-pflag-dev
     ,golang-github-vishvananda-netlink-dev
     ,golang-go.crypto-dev
-    ,golang-go-semver-dev
+    ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-gocapability-dev
     ,golang-golang-x-crypto-dev
     ,golang-golang-x-net-dev
@@ -58,10 +58,10 @@
     ,git
 # Tests:
     ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/coreos/rkt
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rkt.git
-Vcs-Git: https://anonscm.debian.org/pkg-go/packages/rkt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/rkt.git
 
 Package: golang-github-coreos-rkt-dev
 Section: devel
@@ -85,7 +85,7 @@
 
 Package: rkt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, golang-go
+Depends: ${shlibs:Depends}, ${misc:Depends}
     ,adduser
     ,systemd (>= 228)
     ,systemd-container (>= 228)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
PKV  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion)

export DH_GOPKG := github.com/coreos/rkt
export DH_GOLANG_BUILDPKG := $(DH_GOPKG)/api/v1alpha $(DH_GOPKG)/rkt
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find Godeps/_workspace/src -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_configure:
## Prefer bundled libraries, if any:
	mkdir -p _build
	cp -r Godeps/_workspace/src _build/
####
	dh_auto_configure -v
	$(RM) -rvf _build/src/src/$(DH_GOPKG)
	mkdir -p   _build/src/src/$(DH_GOPKG)
	cp -r rkt _build/src/src/$(DH_GOPKG)/
## appc-cni and appc-spec need special handling:
	mkdir -p _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc
	cp -r _build/src/github.com/appc/cni _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc/
	cp -r _build/src/github.com/appc/spec _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc/
####
	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \
        | while read D; do D="$${D##Godeps/_workspace/src/}" ; printf "Patching 3rd party includes: $$D\n" ;\
            perl -pi -E "s{$(DH_GOPKG)/Godeps/_workspace/src/$$D}{$$D}msg;" `find _build/src -type f -name "*"` ;\
        done

override_dh_auto_build:
	## Build Stage1 .aci image, see "Documentation/hacking.md":
	mkdir _build/src2 \
        && cp -r _build/src _build/src2
	cd _build/src/$(DH_GOPKG) \
        && sh ./autogen.sh \
        && ./configure \
            --enable-tpm=no \
            --with-stage1-flavors=host \
            --with-stage1-default-name=host \
            --with-stage1-default-version=$(PKV) \
            --with-stage1-default-location=/usr/lib/rkt/stage1-host.aci
	$(MAKE) -C _build/src/$(DH_GOPKG) manpages GOPATH="$(CURDIR)"/_build/src2
	$(MAKE) -C _build/src/$(DH_GOPKG) bash-completion GOPATH="$(CURDIR)"/_build/src2
	$(MAKE) -C _build/src/$(DH_GOPKG) BUILDDIR="$(CURDIR)"/_build GOPATH="$(CURDIR)"/_build/src2

override_dh_auto_test:
	-dh_auto_test

override_dh_install:
	dh_install -XLICENSE.MIT

## rkt 1.6

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall Test, Seasonal and Regional Kendall Tests
Version: 1.6
Date: 2021-03-23
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <aldo.marchetto@cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test (MK) and the Seasonal and the Regional Kendall Tests for trend (SKT and RKT) and  Theil-Sen's slope estimator. 
License: GPL-2
NeedsCompilation: no
Packaged: 2021-03-29 07:43:11 UTC; aldo
Repository: CRAN
Date/Publication: 2021-03-29 14:20:02 UTC

## rkt 1.7

=== DESCRIPTION ===
Package: rkt
Type: Package
Title: Mann-Kendall Test, Seasonal and Regional Kendall Tests
Version: 1.7
Date: 2024-02-07
Author: Aldo Marchetto
Maintainer: Aldo Marchetto <aldo.marchetto@cnr.it>
Description: Contains function rkt which computes the Mann-Kendall test (MK) and the Seasonal and the Regional Kendall Tests for trend (SKT and RKT) and  Theil-Sen's slope estimator. 
License: GPL-2
NeedsCompilation: no
Packaged: 2024-02-07 21:11:30 UTC; aldo
Repository: CRAN
Date/Publication: 2024-02-08 08:00:06 UTC

## rkt 1.9.1+dfsg

=== debian/changelog ===
rkt (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016] (Closes: #828162).
  * (Build-)Depends:
    = golang-github-appc-cni-dev (>= 0.2.3~)
    = golang-github-appc-spec-dev (>= 0.8.5~)
    = golang-github-appc-docker2aci-dev (>= 0.11.1~)
    = golang-github-coreos-go-systemd-dev (>= 9)
    + golang-github-coreos-pkg-dev (>= 2~)
  * New "appc-spec.patch" to fix FTBFS with appc-spec v0.8.5.
  * Depends: "systemd (>= 230-3~)" for "systemd-sysusers" (Closes: #823314).
    Thanks, Martin Pitt.
  * postinst: create "rkt-admin" group.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Jul 2016 03:01:00 +1000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-golang, golang-go, bash-completion
     ,golang-context-dev
     ,golang-dbus-dev (>= 3)
-    ,golang-github-appc-cni-dev (>= 0.2.0~)
+    ,golang-github-appc-cni-dev (>= 0.3.0~)
 #        ,golang-github-d2g-dhcp4-dev
 #        ,golang-github-d2g-dhcp4client-dev
-    ,golang-github-appc-docker2aci-dev (>= 0.9.3~)
+    ,golang-github-appc-docker2aci-dev (>= 0.11.1~)
     ,golang-github-appc-goaci-dev
-    ,golang-github-appc-spec-dev (>= 0.7.4~)
+    ,golang-github-appc-spec-dev (>= 0.8.5~)
     ,golang-github-coreos-go-iptables-dev (>= 0.1.0~)
-    ,golang-github-coreos-go-systemd-dev (>= 5)
+    ,golang-github-coreos-go-systemd-dev (>= 9)
     ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
+    ,golang-github-coreos-pkg-dev (>= 2~)
     ,golang-github-cpuguy83-go-md2man-dev
     ,golang-github-cznic-ql-dev
 #        ,golang-github-cznic-b-dev
@@ -58,6 +59,8 @@
     ,git
 # Tests:
     ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
+    ,golang-github-shirou-gopsutil-dev
+# (>= 2~)
 Standards-Version: 3.9.8
 Homepage: https://github.com/coreos/rkt
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rkt.git
@@ -67,7 +70,7 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}, golang-go
-    ,golang-github-appc-spec-dev (>= 0.7.4~)
+    ,golang-github-appc-spec-dev (>= 0.8.5~)
     ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-gocapability-dev
@@ -87,7 +90,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
     ,adduser
-    ,systemd (>= 228)
+    ,systemd (>= 230-3~)
     ,systemd-container (>= 228)
     ,dbus
 Suggests: docker2aci

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,15 @@
 	mkdir -p _build
 	cp -r Godeps/_workspace/src _build/
 ####
-	dh_auto_configure -v
+	dh_auto_configure
 	$(RM) -rvf _build/src/src/$(DH_GOPKG)
 	mkdir -p   _build/src/src/$(DH_GOPKG)
 	cp -r rkt _build/src/src/$(DH_GOPKG)/
-## appc-cni and appc-spec need special handling:
+## appc-cni needs special handling:
+	mkdir -p _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/containernetworking
+	cp -r _build/src/github.com/containernetworking/cni _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/containernetworking/
+## appc-spec needs special handling:
 	mkdir -p _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc
-	cp -r _build/src/github.com/appc/cni _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc/
 	cp -r _build/src/github.com/appc/spec _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc/
 ####
 	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/coreos/rkt/releases \
  .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## rkt 1.21.0+dfsg

=== debian/changelog ===
rkt (1.21.0+dfsg-1) unstable; urgency=medium

  * New upsteram release [December 2016].
  * Removed obsolete "systemd.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 09 Dec 2016 09:37:25 +1100

rkt (1.20.0+dfsg-1) unstable; urgency=medium

  * New upsteram release [November 2016].
  * Removed obsolete "k8s.patch".
  * Added new backported "systemd.patch". Thanks, Luca Bruno.
  * Build-Depends:
    = golang-github-appc-docker2aci-dev (>= 0.14.0~)
    = golang-github-appc-spec-dev (>= 0.8.9~)
    = golang-github-coreos-go-systemd-dev (>= 14~)
    + golang-github-kr-pretty-dev
    + golang-github-puerkitobio-purell-dev
  * rules: re-build .pb.go file(s) (Closes: #846741).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 08 Dec 2016 08:47:56 +1100

rkt (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2016].
  * Build-Depends:
    = golang-github-coreos-go-systemd-dev (>= 12~)
    = golang-github-appc-spec-dev (>= 0.8.7~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Oct 2016 13:13:42 +1100

rkt (1.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2016].
  * (Build-)Depends:
    = golang-github-appc-spec-dev (>= 0.8.6~)
    = golang-google-grpc-dev (>= 1.0.0~)
    + golang-github-davecgh-go-spew-dev
    + golang-github-hashicorp-golang-lru-dev
    + golang-github-jonboulle-clockwork-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Aug 2016 13:59:52 +1000

rkt (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * Removed obsolete "appc-spec.patch".
  * Build-Depends:
    = golang-github-cznic-ql-dev (>= 1.0.4~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 15:50:05 +1000

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: extra
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-          ,Tim Potter <tpot@hp.com>
+          ,Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-golang, golang-go, bash-completion
     ,golang-context-dev
     ,golang-dbus-dev (>= 3)
     ,golang-github-appc-cni-dev (>= 0.3.0~)
 #        ,golang-github-d2g-dhcp4-dev
 #        ,golang-github-d2g-dhcp4client-dev
-    ,golang-github-appc-docker2aci-dev (>= 0.11.1~)
+    ,golang-github-appc-docker2aci-dev (>= 0.14.0~)
     ,golang-github-appc-goaci-dev
-    ,golang-github-appc-spec-dev (>= 0.8.5~)
+    ,golang-github-appc-spec-dev (>= 0.8.9~)
     ,golang-github-coreos-go-iptables-dev (>= 0.1.0~)
-    ,golang-github-coreos-go-systemd-dev (>= 9)
+    ,golang-github-coreos-go-systemd-dev (>= 14~)
     ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
     ,golang-github-coreos-pkg-dev (>= 2~)
     ,golang-github-cpuguy83-go-md2man-dev
-    ,golang-github-cznic-ql-dev
+    ,golang-github-cznic-ql-dev (>= 1.0.4~)
 #        ,golang-github-cznic-b-dev
 #        ,golang-github-cznic-bufs-dev
 #        ,golang-github-cznic-fileutil-dev
@@ -26,15 +26,20 @@
 #        ,golang-github-cznic-sortutil-dev
 #        ,golang-github-cznic-strutil-dev
 #        ,golang-github-cznic-zappy-dev
+    ,golang-github-davecgh-go-spew-dev
     ,golang-github-dustin-go-humanize-dev
     ,golang-github-google-gofuzz-dev
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-errwrap-dev
+    ,golang-github-hashicorp-golang-lru-dev
     ,golang-github-hydrogen18-stoppablelistener-dev
     ,golang-github-inconshreveable-mousetrap-dev
+    ,golang-github-jonboulle-clockwork-dev
     ,golang-github-kballard-go-shellquote-dev
+    ,golang-github-kr-pretty-dev
     ,golang-github-pborman-uuid-dev
     ,golang-github-peterbourgon-diskv-dev
+    ,golang-github-puerkitobio-purell-dev
     ,golang-github-russross-blackfriday-dev
     ,golang-github-shurcool-sanitized-anchor-name-dev
     ,golang-github-spf13-cobra-dev
@@ -47,7 +52,7 @@
     ,golang-golang-x-net-dev
     ,golang-golang-x-sys-dev
     ,golang-golang-x-tools-dev
-    ,golang-google-grpc-dev
+    ,golang-google-grpc-dev (>= 1.0.0~)
     ,golang-goprotobuf-dev (>= 0.0~git20160330~)
     ,golang-pty-dev
     ,golang-speter-go-exp-math-dec-inf-dev
@@ -59,8 +64,7 @@
     ,git
 # Tests:
     ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
-    ,golang-github-shirou-gopsutil-dev
-# (>= 2~)
+    ,golang-github-shirou-gopsutil-dev (>= 2.1~)
 Standards-Version: 3.9.8
 Homepage: https://github.com/coreos/rkt
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rkt.git
@@ -70,14 +74,14 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}, golang-go
-    ,golang-github-appc-spec-dev (>= 0.8.5~)
+    ,golang-github-appc-spec-dev (>= 0.8.7~)
     ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-gocapability-dev
     ,golang-golang-x-crypto-dev
 # API:
     ,golang-golang-x-net-dev
-    ,golang-google-grpc-dev
+    ,golang-google-grpc-dev (>= 1.0.0~)
 Description: rkt API source
  rkt (pronounced "rock-it") is an alternative to the Docker runtime, designed
  for server environments with the most rigorous security and production

=== debian/rules ===
--- 
+++ 
@@ -14,32 +14,32 @@
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
 
+PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard */*/*.proto))
+$(PB_GO_FILES):
+	protoc -I "$(dir $@)" --go_out=plugins=grpc:$(dir $@) $(@:.pb.go=.proto)
+
 override_dh_clean:
-	dh_clean
+	dh_clean $(PB_GO_FILES)
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
-	-find Godeps/_workspace/src -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
+	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
 
-override_dh_auto_configure:
-## Prefer bundled libraries, if any:
-	mkdir -p _build
-	cp -r Godeps/_workspace/src _build/
-####
+override_dh_auto_configure: $(PB_GO_FILES)
 	dh_auto_configure
 	$(RM) -rvf _build/src/src/$(DH_GOPKG)
 	mkdir -p   _build/src/src/$(DH_GOPKG)
 	cp -r rkt _build/src/src/$(DH_GOPKG)/
 ## appc-cni needs special handling:
-	mkdir -p _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/containernetworking
-	cp -r _build/src/github.com/containernetworking/cni _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/containernetworking/
+	mkdir -p _build/src/$(DH_GOPKG)/vendor/github.com/containernetworking/cni
+	cp -r _build/src/github.com/containernetworking/cni/plugins _build/src/$(DH_GOPKG)/vendor/github.com/containernetworking/cni/
 ## appc-spec needs special handling:
-	mkdir -p _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc
-	cp -r _build/src/github.com/appc/spec _build/src/$(DH_GOPKG)/Godeps/_workspace/src/github.com/appc/
+	mkdir -p _build/src/$(DH_GOPKG)/vendor/github.com/appc/spec
+	cp -r _build/src/github.com/appc/spec/actool _build/src/$(DH_GOPKG)/vendor/github.com/appc/spec/
 ####
-	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \
-        | while read D; do D="$${D##Godeps/_workspace/src/}" ; printf "Patching 3rd party includes: $$D\n" ;\
-            perl -pi -E "s{$(DH_GOPKG)/Godeps/_workspace/src/$$D}{$$D}msg;" `find _build/src -type f -name "*"` ;\
-        done
+#	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \
+#        | while read D; do D="$${D##vendor/}" ; printf "Patching 3rd party includes: $$D\n" ;\
+#            perl -pi -E "s{$(DH_GOPKG)/vendor/$$D}{$$D}msg;" `find _build/src -type f -name "*"` ;\
+#        done
 
 override_dh_auto_build:
 	## Build Stage1 .aci image, see "Documentation/hacking.md":

## rkt 1.29.0%2Bdfsg

=== debian/changelog ===
rkt (1.29.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #874009)
  * Reflect upstream organization move (coreos → rkt)
  * Add myself as uploader
  * d/copyright: remove all vendoring (no explicit listing needed)
  * bump standards-version to 4.1.1 (no changes necessary)
  * priority extra was replaced by priority optional

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 30 Jan 2018 09:00:08 +0100

## rkt 1.29.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rkt
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
           ,Tim Potter <tpot@hpe.com>
+	  ,Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-golang, golang-go, bash-completion
     ,golang-context-dev
     ,golang-dbus-dev (>= 3)
@@ -13,6 +14,7 @@
     ,golang-github-appc-docker2aci-dev (>= 0.14.0~)
     ,golang-github-appc-goaci-dev
     ,golang-github-appc-spec-dev (>= 0.8.9~)
+    ,golang-github-aws-aws-sdk-go-dev (>= 1.4.22~)
     ,golang-github-coreos-go-iptables-dev (>= 0.1.0~)
     ,golang-github-coreos-go-systemd-dev (>= 14~)
     ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
@@ -65,12 +67,15 @@
 # Tests:
     ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
     ,golang-github-shirou-gopsutil-dev (>= 2.1~)
-Standards-Version: 3.9.8
-Homepage: https://github.com/coreos/rkt
+Standards-Version: 4.1.1
+Homepage: https://github.com/rkt/rkt
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rkt.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/rkt.git
+XS-Go-Import-Path: github.com/rkt/rkt
 
-Package: golang-github-coreos-rkt-dev
+Package: golang-github-rkt-rkt-dev
+Replaces: golang-github-coreos-rkt-dev (<< 1.29.0+dfsg-1~)
+Breaks: golang-github-coreos-rkt-dev (<< 1.29.0+dfsg-1~)
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}, golang-go

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
 PKV  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion)
 
-export DH_GOPKG := github.com/coreos/rkt
+export DH_GOPKG := github.com/rkt/rkt
 export DH_GOLANG_BUILDPKG := $(DH_GOPKG)/api/v1alpha $(DH_GOPKG)/rkt
 export DH_GOLANG_INSTALL_ALL := 1

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/rkt/rkt/releases \
  .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## rkt 1.30.0+dfsg

=== debian/changelog ===
rkt (1.30.0+dfsg-4) unstable; urgency=medium

  * rules: disable GOCACHE
  * dev:
    + install "networking/netinfo", as required by "nomad";
    + Depends += "golang-github-appc-cni-dev";

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Jun 2018 23:02:32 +1000

rkt (1.30.0+dfsg-3) unstable; urgency=medium

  * Removed "golang-github-coreos-go-tspi-dev" from Depends;
    removed "pkg/tpm" from -dev package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jun 2018 17:22:26 +1000

rkt (1.30.0+dfsg-2) unstable; urgency=medium

  * Build-Depends:
    - golang-github-coreos-go-tspi-dev
    - golang-go.crypto-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jun 2018 01:46:39 +1000

rkt (1.30.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Build with go-systemd v16 (Closes: #867554).
  * Build-Depends:
    = golang-github-coreos-go-systemd-dev (>= 16~)
    = golang-github-appc-docker2aci-dev (>= 0.17.2~)
    = golang-github-appc-spec-dev (>= 0.8.11~)
    + golang-github-opencontainers-selinux-dev
  * Standards-Version: 4.1.4.
  * Debhelper & compat to version 11.
  * rules: don't use dpkg-parsechangelog.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 May 2018 17:11:26 +1000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
           ,Tim Potter <tpot@hpe.com>
-	  ,Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-golang, golang-go, bash-completion
+          ,Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper (>= 11~), dh-golang, golang-go, bash-completion
     ,golang-context-dev
     ,golang-dbus-dev (>= 3)
     ,golang-github-appc-cni-dev (>= 0.3.0~)
 #        ,golang-github-d2g-dhcp4-dev
 #        ,golang-github-d2g-dhcp4client-dev
-    ,golang-github-appc-docker2aci-dev (>= 0.14.0~)
+    ,golang-github-appc-docker2aci-dev (>= 0.17.2~)
     ,golang-github-appc-goaci-dev
-    ,golang-github-appc-spec-dev (>= 0.8.9~)
+    ,golang-github-appc-spec-dev (>= 0.8.11~)
     ,golang-github-aws-aws-sdk-go-dev (>= 1.4.22~)
     ,golang-github-coreos-go-iptables-dev (>= 0.1.0~)
-    ,golang-github-coreos-go-systemd-dev (>= 14~)
-    ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
+    ,golang-github-coreos-go-systemd-dev (>= 16~)
+# tspi is needed for --enable-tpm option.
+#~    ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
     ,golang-github-coreos-pkg-dev (>= 2~)
     ,golang-github-cpuguy83-go-md2man-dev
     ,golang-github-cznic-ql-dev (>= 1.0.4~)
@@ -39,6 +40,7 @@
     ,golang-github-jonboulle-clockwork-dev
     ,golang-github-kballard-go-shellquote-dev
     ,golang-github-kr-pretty-dev
+    ,golang-github-opencontainers-selinux-dev
     ,golang-github-pborman-uuid-dev
     ,golang-github-peterbourgon-diskv-dev
     ,golang-github-puerkitobio-purell-dev
@@ -47,7 +49,6 @@
     ,golang-github-spf13-cobra-dev
     ,golang-github-spf13-pflag-dev
     ,golang-github-vishvananda-netlink-dev
-    ,golang-go.crypto-dev
     ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-gocapability-dev
     ,golang-golang-x-crypto-dev
@@ -67,10 +68,10 @@
 # Tests:
     ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
     ,golang-github-shirou-gopsutil-dev (>= 2.1~)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/rkt/rkt
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/rkt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/rkt.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/rkt
+Vcs-Git: https://salsa.debian.org/go-team/packages/rkt.git
 XS-Go-Import-Path: github.com/rkt/rkt
 
 Package: golang-github-rkt-rkt-dev
@@ -79,8 +80,9 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}, golang-go
-    ,golang-github-appc-spec-dev (>= 0.8.7~)
-    ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
+    ,golang-github-appc-cni-dev
+    ,golang-github-appc-spec-dev (>= 0.8.11~)
+#~  ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-gocapability-dev
     ,golang-golang-x-crypto-dev

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
-PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-PKV  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion)
+include /usr/share/dpkg/pkg-info.mk
+
+## Disable compiler cache (`go env GOCACHE`, `go help cache`).
+export GOCACHE=off
 
 export DH_GOPKG := github.com/rkt/rkt
 export DH_GOLANG_BUILDPKG := $(DH_GOPKG)/api/v1alpha $(DH_GOPKG)/rkt
+#export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/pkg/tpm
 export DH_GOLANG_INSTALL_ALL := 1
 
 %:
@@ -51,7 +53,7 @@
             --enable-tpm=no \
             --with-stage1-flavors=host \
             --with-stage1-default-name=host \
-            --with-stage1-default-version=$(PKV) \
+            --with-stage1-default-version=$(DEB_VERSION) \
             --with-stage1-default-location=/usr/lib/rkt/stage1-host.aci
 	$(MAKE) -C _build/src/$(DH_GOPKG) manpages GOPATH="$(CURDIR)"/_build/src2
 	$(MAKE) -C _build/src/$(DH_GOPKG) bash-completion GOPATH="$(CURDIR)"/_build/src2
@@ -61,4 +63,4 @@
 	-dh_auto_test
 
 override_dh_install:
-	dh_install -XLICENSE.MIT
+	dh_install -XLICENSE.MIT -Xpkg/tpm

## rkt 1.30.0+dfsg1

=== debian/changelog ===
rkt (1.30.0+dfsg1-9ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 17:57:18 +0100

rkt (1.30.0+dfsg1-9ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 01:37:06 +0200

rkt (1.30.0+dfsg1-9) unstable; urgency=medium

  * setup-data-dir.sh: don't try to handle tmpfiles.
  * Standards-Version: 4.4.1
  * DH to version 12

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Dec 2019 13:53:48 +1100

rkt (1.30.0+dfsg1-8) unstable; urgency=medium

  * Use bundled "containernetworking" library.
  * (Build-)Depends:
    - golang-github-appc-cni-dev
    + golang-github-d2g-dhcp4-dev
    + golang-github-d2g-dhcp4client-dev
  * rules: no longer disable GOCACHE to fix FTBFS with modern Golang.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Oct 2019 01:59:29 +1100

rkt (1.30.0+dfsg-7) unstable; urgency=medium

  * New patch to add missing architectures [armv8l, s390x].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 17 Sep 2018 15:03:30 +1000

rkt (1.30.0+dfsg-6) unstable; urgency=medium

  * Fixed bash-completion.
  * Suggests += "acbuild".
  * Install "rkt-gc" service and timer.
  * Install disabled  rkt-api" service and socket.
  * Install disabled "rkt-metadata" service and socket.
  * Install "cni-dhcp" service, socket and net.d examples.
  * Standards-Version: 4.1.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Aug 2018 21:30:27 +1000

rkt (1.30.0+dfsg-5) unstable; urgency=medium

  * golang-speter-go-exp-math-dec-inf-dev --> golang-gopkg-inf.v0-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Jul 2018 04:44:48 +1000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: rkt
 Section: utils
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
           ,Tim Potter <tpot@hpe.com>
           ,Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 11~), dh-golang, golang-go, bash-completion
+Build-Depends: debhelper-compat (= 12), dh-golang, golang-go, bash-completion
     ,golang-context-dev
     ,golang-dbus-dev (>= 3)
-    ,golang-github-appc-cni-dev (>= 0.3.0~)
-#        ,golang-github-d2g-dhcp4-dev
-#        ,golang-github-d2g-dhcp4client-dev
+#~  ,golang-github-appc-cni-dev (>= 0.3.0~)
+      ,golang-github-d2g-dhcp4-dev
+      ,golang-github-d2g-dhcp4client-dev
     ,golang-github-appc-docker2aci-dev (>= 0.17.2~)
     ,golang-github-appc-goaci-dev
     ,golang-github-appc-spec-dev (>= 0.8.11~)
@@ -49,16 +51,16 @@
     ,golang-github-spf13-cobra-dev
     ,golang-github-spf13-pflag-dev
     ,golang-github-vishvananda-netlink-dev
-    ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-gocapability-dev
     ,golang-golang-x-crypto-dev
     ,golang-golang-x-net-dev
     ,golang-golang-x-sys-dev
     ,golang-golang-x-tools-dev
     ,golang-google-grpc-dev (>= 1.0.0~)
+    ,golang-gopkg-inf.v0-dev
     ,golang-goprotobuf-dev (>= 0.0~git20160330~)
+    ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-pty-dev
-    ,golang-speter-go-exp-math-dec-inf-dev
     ,golang-uuid-dev
     ,systemd (>= 228)
     ,libacl1-dev
@@ -68,7 +70,6 @@
 # Tests:
     ,golang-github-coreos-gexpect-dev (>= 0.1.0~)
     ,golang-github-shirou-gopsutil-dev (>= 2.1~)
-Standards-Version: 4.1.4
 Homepage: https://github.com/rkt/rkt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rkt
 Vcs-Git: https://salsa.debian.org/go-team/packages/rkt.git
@@ -80,7 +81,9 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}, golang-go
-    ,golang-github-appc-cni-dev
+#   ,golang-github-appc-cni-dev
+      ,golang-github-d2g-dhcp4-dev
+      ,golang-github-d2g-dhcp4client-dev
     ,golang-github-appc-spec-dev (>= 0.8.11~)
 #~  ,golang-github-coreos-go-tspi-dev (>= 0.1.1~)
     ,golang-github-hashicorp-errwrap-dev
@@ -104,7 +107,7 @@
     ,systemd (>= 230-3~)
     ,systemd-container (>= 228)
     ,dbus
-Suggests: docker2aci
+Suggests: docker2aci ,acbuild
 Built-Using: ${misc:Built-Using}
 Description: CLI for running App Containers
  rkt (pronounced "rock-it") is an alternative to the Docker runtime, designed

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=+dfsg,\
+repacksuffix=+dfsg1,\
 repack,compression=xz,\
 dversionmangle=s{[+~]dfsg\d*}{},\
 " https://github.com/rkt/rkt/releases \
